> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على نطاق

> يرجع تفاصيل نطاق موجهة للعميل.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: الحصول على نطاق
      description: يرجع تفاصيل نطاق موجهة للعميل.
      operationId: get_public_domain_v1_public_accounts__account_id__domains__domain__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDetailResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainDetailResponse:
      properties:
        auto_renew:
          default: false
          description: ما إذا كان التجديد التلقائي للنطاق ممكّنًا أم لا
          title: التجديد التلقائي
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لإنشاء النطاق
          title: تاريخ الإنشاء
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: تم تخصيص IP UUID، إن وجد
          title: معرف IP مخصص
        dns_records:
          description: سجلات DNS للمجال
          items:
            $ref: '#/components/schemas/DomainDnsRecordResponse'
          title: سجلات DNS
          type: array
        id:
          description: المجال UUID
          format: uuid
          title: المعرّف
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: معرف الموفر الخارجي للمستأجر الداخلي
          title: معرّف المستأجر الوارد الخارجي
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: المستأجر الداخلي UUID، إذا تم تعيينه
          title: معرّف المستأجر الوارد
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: اسم عرض المستأجر الوارد، إذا تم تعيينه
          title: اسم المستأجر الوارد
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: نوع المستأجر الوارد، إذا تم تعيينه
          title: نوع المستأجر الوارد
        mailboxes:
          description: علب البريد على المجال
          items:
            $ref: '#/components/schemas/DomainMailboxSummary'
          title: صناديق البريد
          type: array
        name:
          description: اسم المجال
          title: الاسم
          type: string
        outbound_routing_ready:
          description: ما إذا كان التوجيه الصادر جاهزًا أم لا
          title: التوجيه الصادر جاهز
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: تكوين وضع إعادة التوجيه، إن وجد
          title: وضع إعادة التوجيه
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: عنوان URL لإعادة التوجيه الذي تم تكوينه، إن وجد
          title: عنوان URL لإعادة التوجيه
        status:
          description: حالة دورة حياة المجال
          title: الحالة
          type: string
        tags:
          description: العلامات المرفقة بالمجال
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: العلامات
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: الطابع الزمني لآخر تحديث للنطاق
          title: تاريخ التحديث
        workspace_id:
          description: مساحة العمل UUID التي تحتوي على المجال
          format: uuid
          title: معرف مساحة العمل
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainDetailResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    DomainDnsRecordResponse:
      description: سجل DNS مضمن في تفاصيل النطاق.
      properties:
        id:
          description: معرف السجل DNS
          title: المعرّف
          type: integer
        is_system_managed:
          default: false
          description: ما إذا كان السجل تتم إدارته بواسطة HybridBox
          title: مدار بواسطة النظام
          type: boolean
        name:
          description: اسم السجل DNS
          title: الاسم
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          description: أولوية تسجيل DNS عند الاقتضاء
          title: الأولوية
        ttl:
          description: DNS سجل TTL في ثواني
          title: TTL
          type: integer
        type:
          description: نوع السجل DNS
          title: النوع
          type: string
        value:
          description: قيمة السجل DNS
          title: القيمة
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DomainDnsRecordResponse
      type: object
    DomainMailboxSummary:
      description: ملخص صندوق بريد مضمن في تفاصيل النطاق.
      properties:
        active:
          description: ما إذا كان صندوق البريد نشطًا
          title: نشط
          type: boolean
        email:
          description: عنوان البريد الإلكتروني لصندوق البريد الأساسي
          title: البريد الإلكتروني
          type: string
        first_name:
          description: الاسم الأول لمستخدم صندوق البريد
          title: الاسم الأول
          type: string
        id:
          description: صندوق البريد UUID
          format: uuid
          title: المعرّف
          type: string
        last_name:
          description: الاسم الأخير لمستخدم صندوق البريد
          title: اسم العائلة
          type: string
      required:
        - id
        - email
        - first_name
        - last_name
        - active
      title: DomainMailboxSummary
      type: object
    DomainTagResponse:
      description: علامة مرتبطة بنطاق.
      properties:
        id:
          description: العلامة UUID
          format: uuid
          title: المعرّف
          type: string
        name:
          description: اسم عرض العلامة
          title: الاسم
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````